@echo off
set infile=C:\Wswin\Export\weather365net.txt
set outfile=C:\Wswin\Export\weather365post.txt
set logfile=C:\Wswin\Export\weather365post.log
set wait=10
set target=https://channel1.weather365.net/stations/index.php

if exist %infile% (
  rem just wait 10 seconds
  echo wait %wait% seconds to make sure file is ready
  ping -n %wait% 127.0.0.1 > nul

  rem convert the file to a separated line
  SETLOCAL EnableDelayedExpansion
  set out=
  for /f "tokens=*" %%i in (%infile%) do ( set "out=!out!^^&%%i" )
) else (
  set out=%infile% not found
  goto ende
)

rem create the output file
echo %out% > %outfile%

rem send file via http/POST
for /F "tokens=1 Delims= " %%i in ('curl -X POST --data-ascii @%outfile% %target%') do @set status=%%i

rem eleganter waere direkt den String zu senden - das klappt aber so noch nicht mit Rueckmeldung
rem for /F "tokens=1 Delims= " %%i in ('curl -X POST -d "%out%" %target%') do @set status=%%i

:ende
rem log lines
echo %date% %time% %status% %out% >> %logfile%
echo.
